image: adoptopenjdk/openjdk11:jdk-11.0.14.1_1-alpine-slim

stages:
  - build
  - test

before_script:
#  - echo `pwd` # debug
#  - echo "$CI_BUILD_NAME, $CI_BUILD_REF_NAME $CI_BUILD_STAGE" # debug
  - export GRADLE_USER_HOME=`pwd`/.gradle

cache:
  paths:
    - .gradle/wrapper
    - .gradle/caches

build:
  stage: build
  script:
    - ./gradlew assemble
  artifacts:
    paths:
      - build/libs/*.jar
    expire_in: 1 min

test:
  stage: test
  script:
    - ./gradlew check


after_script:
  - echo "End CI"